pub mod byte_pos;
pub mod hash;
pub mod parse;
pub mod write_structured_measurements;

pub fn format_nums(num: usize) -> String {
    num.to_string()
        .as_bytes()
        .rchunks(3)
        .rev()
        .map(std::str::from_utf8)
        .collect::<Result<Vec<&str>, _>>()
        .unwrap()
        .join("_")
}
